#!/bin/bash

# Устанавливаем путь к каталогу
base_dir="/opt/onlyoffice/desktopeditors/editors/sdkjs-plugins"

# Проверяем, существует ли базовый каталог
if [ ! -d "$base_dir" ]; then
    echo "Каталог $base_dir не существует."
    exit 1
fi

# Перебираем все каталоги в базовом каталоге
for dir in "$base_dir"/*; do
    if [ -d "$dir" ]; then
        # Получаем имя каталога
        dir_name=$(basename "$dir")

        # Пропускаем каталог с именем "v1"
        if [ "$dir_name" == "v1" ]; then
            continue
        fi

        # Новое имя каталога с добавлением фигурных скобок
        new_dir_name="{$dir_name}"

        # Полные пути к старому и новому каталогу
        old_dir_path="$base_dir/$dir_name"
        new_dir_path="$base_dir/$new_dir_name"

        # Переименовываем каталог
        mv "$old_dir_path" "$new_dir_path"
        echo "Каталог $old_dir_path переименован в $new_dir_path"
    fi
done
