name='python3-dotty-dict'
version='1.3.1'
release='1'
desc='Dictionary wrapper for quick access to deeply nested keys.'
homepage='https://github.com/pawelzny/dotty_dict'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('python3-dotty-dict')
conflicts=('python3-dotty-dict')

deps=(
    'python'
)
build_deps=(
    'python3-build'
    'python3-installer'
    'python3-poetry-core'
    'python3-wheel'
    'python3-pytest'
)

sources=("https://github.com/pawelzny/dotty_dict/archive/refs/tags/v${version}.tar.gz")
checksums=('SKIP')

build() {
  cd "dotty_dict-$version"
  python -m build --wheel --no-isolation
}

check() {
  cd "dotty_dict-$version"
  pytest
}

package() {
  cd "dotty_dict-$version"
  python -m installer --destdir="$pkgdir" dist/*.whl
  install-license ./LICENSE ./${name}/LICENSE
}
