name='vesktop'
version='1.5.3'
release='2'
desc='Vesktop gives you the performance of web Discord and the comfort of Discord Desktop'
homepage='https://github.com/Vencord/Vesktop'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL3')
provides=('vencord')
conflicts=('vencord')

deps=('electron')
build_deps=('pnpm' 'git' 'electron')

opt_deps=(
	'libnotify: Notifications'
	'xdg-utils: Open links, files, etc'
	'xdg-desktop-portal: Screensharing with Wayland'
	'arrpc: Rich presence support'
)

sources=("https://github.com/pnpm/pnpm/releases/tag/v${version}")
checksums=('SKIP')

prepare() {
	cd ${srcdir}/Vesktop-${version}
	sed -i '/linux/s/^/        "electronDist": "\/usr\/lib\/electron",\n/' "${srcdir}/Vesktop-${version}/package.json"
}

build() {
	cd ${srcdir}/Vesktop-${version}
	pnpm install
	pnpm package:dir
}

package() {
	cd "${srcdir}"
	install -d "${pkgdir}/usr/lib/${name}"
	install -d "${pkgdir}/usr/bin"

	cp "Vesktop-${version}/dist/linux-unpacked/resources/app.asar" "${pkgdir}/usr/lib/${name}/"
	install -Dm755 "${scriptdir}/vesktop.sh" "$pkgdir/usr/bin/vesktop"

	install -Dm 644 "${scriptdir}/vesktop.desktop" "${pkgdir}/usr/share/applications/vesktop.desktop"
	for _icons in 16x16 32x32 48x48 64x64 128x128 256x256 512x512 1024x1024;do
		install -Dm644 "${scriptdir}/hicolor/${_icons}/apps/vesktop.png" \
			-t "${pkgdir}/usr/share/icons/hicolor/${_icons}/apps"
	done
	install -Dm 644 "Vesktop-${version}/LICENSE" "${pkgdir}/usr/share/licenses/${name}/LICENSE"
}
